/*
    2000 Microsoft Corporation. All rights reserved.
*/

var closedWidth = 311;
var openWidth = 365;
var closedHeight = 288;
var openHeight = 434;

var noPane = 0;
var plPane = 1;
var audPane = 2;
var currentPane = 0;

var vidIsRunning = false;

function OnLoad()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;
    OnOpenStateChange();
    SetVisibility(noPane);
    vidIsRunning = (player.OpenState==osMediaOpen &&
        player.currentMedia.ImageSourceWidth>0);
    vidIsRunning ? StartVideo() : EndVideo();
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function OnOpenStateChange()
{
    if(player.openState == osMediaOpen)
    {
        UpdateMetadata();
    }
}

function StartVideo()
{
    vid.visible =
        sVidBkgd.visible = true;
    visEffects.visible =
        bgVis.tabStop =
        bgVis.enabled = false;
    bgVis.upToolTip = "";
}

function EndVideo()
{
    vid.visible =
        sVidBkgd.visible = false;
    visEffects.visible =
        bgVis.tabStop =
        bgVis.enabled = true;
    bgVis.upToolTip = xVisSep.toolTip;
}

function SetVisibility(newPane)
{

    switch(newPane)
    {
        case noPane:
            view.width = closedWidth;
            view.height = closedHeight;
            bgPl.upToolTip = xPl.toolTip;
            bgAud.upToolTip = xAud.toolTip;
            sDrop.visible =
                pl.visible =
                sAud.visible = false;
            break;
        case plPane:
            view.width = openWidth;
            view.height = openHeight;
            bgPl.upToolTip = xPl.value;
            bgAud.upToolTip = xAud.toolTip;
            sDrop.visible =
                pl.visible = true;
            sAud.visible = false;
            break;
        case audPane:
            view.width = openWidth;
            view.height = openHeight;
            bgAud.upToolTip = xAud.value;
            bgPl.upToolTip = xPl.toolTip;
            sDrop.visible =
                sAud.visible = true;
            pl.visible = false;
            break;
    }

    currentPane = newPane;
}

function UpdateMetadata()
{
    var temp = player.currentmedia.name;
    metadata.value =
        player.currentmedia.getiteminfo("author");
    if(metadata.value!="" && temp!="")
    {
        metadata.value += xVisSep.value;
    }
    metadata.value += temp;
    metadata.scrolling = (metadata.textWidth>metadata.width);
}

function AdjustAudio()
{
    eq.gainLevel1 = bass.value;
    eq.gainLevel2 = (8*bass.value +   treble.value)/9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
    eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
    eq.gainLevel10 = treble.value;
}